# Reverse Coding - Hard

Hard questions decided so far:
1. Magik square for odd and even degree of natural numbers.
2. Finding median of running stream of data.

Backup:
3. Print the closest palindrome to a given number.